KDE 4.7 PyKDE API Reference

- KDE's Python API

# KZipFileEntry Class Reference

`from PyKDE4.kio import *`

Inherits: KArchiveFile → KArchiveEntry

## Detailed Description

A KZipFileEntry represents an file in a zip archive.

## Methods
| __init__ (self, KZip zip, QString name, int access, int date, QString user, QString group, QString symlink, QString path, long start, long uncompressedSize, int encoding, long compressedSize)
| __init__ (self, KZipFileEntry other)
long | compressedSize (self)
long | crc32 (self)
QIODevice | createDevice (self)
QByteArray | data (self)
int | encoding (self)
long | headerStart (self)
QString | path (self)
| setCRC32 (self, long crc32)
| setCompressedSize (self, long compressedSize)
| setHeaderStart (self, long headerstart)

## Method Documentation

__init__ | ( | self, |
|  | KZip | zip,
|  | QString | name,
|  | int | access,
|  | int | date,
|  | QString | user,
|  | QString | group,
|  | QString | symlink,
|  | QString | path,
|  | long | start,
|  | long | uncompressedSize,
|  | int | encoding,
|  | long | compressedSize
| ) |  |  |

Creates a new zip file entry. Do not call this, KZip takes care of it.

__init__ | ( | self, |
|  | KZipFileEntry | other
| ) |  |  |

long compressedSize | ( |  | self ) |

long crc32 | ( |  | self ) |

QIODevice createDevice | ( |  | self ) |

This method returns a QIODevice to read the file contents. This is obviously for reading only. Note that the ownership of the device is being transferred to the caller, who will have to delete it. The returned device auto-opens (in readonly mode), no need to open it.

QByteArray data | ( |  | self ) |

Returns:
  the content of this file. Call data() with care (only once per file), this data isn't cached.

int encoding | ( |  | self ) |

long headerStart | ( |  | self ) |

QString path | ( |  | self ) |

setCRC32 | ( | self, |
|  | long | crc32
| ) |  |  |

setCompressedSize | ( | self, |
|  | long | compressedSize
| ) |  |  |

setHeaderStart | ( | self, |
|  | long | headerstart
| ) |  |  |